﻿using System;
using System.IO;

namespace com.williambryanmiller.files 
{
    class MyFiles {


        public static string getFilesizeDesc(double sizeInBytes) {

            const double Terabyte = 1099511627776;
            const double Gigabyte = 1073741824;
            const double Megabyte = 1048576;
            const double Kilobyte = 1024;

            string result = string.Empty;
            double the_size = 0;
            string units = string.Empty;

            if (sizeInBytes >= Terabyte) {
                the_size = sizeInBytes / Terabyte;
                units = " Tb";
            } else {
                if (sizeInBytes >= Gigabyte) {
                    the_size = sizeInBytes / Gigabyte;
                    units = " Gb";
                } else {
                    if (sizeInBytes >= Megabyte) {
                        the_size = sizeInBytes / Megabyte;
                        units = " Mb";
                    } else {
                        if (sizeInBytes >= Kilobyte) {
                            the_size = sizeInBytes / Kilobyte;
                            units = " Kb";
                        } else {
                            the_size = sizeInBytes;
                            units = " bytes";
                        }
                    }
                }
            }

            if (units != "bytes") {
                result = the_size.ToString("N3") + " " + units;
            } else {
                result = the_size.ToString() + " " + units;
            }
            return result;
        }

        public static bool wroteStringToTextFile(string s, string filepath) {
            bool test = false;
            try {
                FileInfo fi = new FileInfo(filepath);
                StreamWriter sw = fi.CreateText();
                sw.Write(s);
                sw.Close();
                sw.Dispose();
                test = true;
            } catch (Exception ex) {
                //you could use either Console.Write() or a message box, depending
                //on whether you're using this method in a Console or WinForms app
            }
            return test;
        }
    }
}
