﻿using System;
using System.IO;
using com.williambryanmiller.files;

namespace FileSizeDescriptionTest_1 {
    class Program {
        static void Main(string[] args) {
            if (File.Exists("payroll.pdf")) {
                FileInfo f = new FileInfo("payroll.pdf");
                double filesize = f.Length;
                Console.WriteLine("The size of file 'payroll.pdf' is: " + MyFiles.getFilesizeDesc(filesize));

                try {
                    byte[] myBuffer = MyFiles.ReadByteArrayFromFile("payroll.pdf");
                    Console.WriteLine("Successfully read file 'payroll.pdf' into byte buffer myBuffer.");
                    Console.WriteLine("Size of myBuffer is: " + myBuffer.Length.ToString());
                } catch (Exception ex) {
                    Console.WriteLine("Error reading file into byte array: " + ex.Message);
                }

                string dir = MyFiles.dirOfExecutingAssembly();
                long totalBytes = MyFiles.returnTotalBytesOfFilesMatchingPattern(dir, "*.pdf");
                string report = "Total bytes of files of type PDF: " + totalBytes.ToString();
                Console.WriteLine(report);
                report += Environment.NewLine;
                report += "Number of PDF files found: " + MyFiles.returnNumFilesMatchingPattern(dir, "*.pdf").ToString();
                report += Environment.NewLine;
                report += "Found in: " + dir;
               
                if (MyFiles.wroteStringToTextFile(report, "report.txt")) {
                    Console.WriteLine("Report written to 'report.txt'.");
                }
                Console.ReadLine();
            }
        }
    }
}
